# class Sass::CacheStores::Null

Doesn't store anything, but records what things it should have stored. This doesn't currently have any use except for testing and debugging.

@private

### Public Class Methods

new() click to toggle source

    # File lib/sass/cache_stores/null.rb, line 8
    def initialize
      @keys = {}
    end

### Public Instance Methods

_retrieve(key, version, sha) click to toggle source

    # File lib/sass/cache_stores/null.rb, line 12
    def _retrieve(key, version, sha)
      nil
    end

_store(key, version, sha, contents) click to toggle source

    # File lib/sass/cache_stores/null.rb, line 16
    def _store(key, version, sha, contents)
      @keys[key] = true
    end

was_set?(key) click to toggle source

    # File lib/sass/cache_stores/null.rb, line 20
    def was_set?(key)
      @keys[key]
    end